Jupyter Notebooks

  1. Python 3 not available in JupyterLab, need it for my course assignment. Help please!

    I need to use Python 3 for a Coursera lab, my JupyterLab only has Python, despite the Coursera Tutorial showing Python 3 available...

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  2. PyMC does not install

    PyMC module doesn't install with '!pip install pymc'. The following error is shown:

    Traceback (most recent call last):
    File "/resources/common/.virtualenv/python2/bin/pip", line 7, in <module>

    from pip._internal import main
    

    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/_internal/init.py", line 42, in <module>

    from pip._internal import cmdoptions
    

    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/_internal/cmdoptions.py", line 16, in <module>

    from pip._internal.index import (
    

    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/_internal/index.py", line 15, in <module>

    from pip._vendor import html5lib, requests, six
    

    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/_vendor/requests/init.py", line 86, in <module>

    from pip._vendor.urllib3.contrib import pyopenssl
    

    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py", line 46, in <module>

    import OpenSSL.SSL
    

    File "/usr/local/lib/python2.7/dist-packages/OpenSSL/init.py", line 8, in <module>

    from OpenSSL import rand, crypto, SSL
    

    File "/usr/local/lib/python2.7/dist-packages/OpenSSL/rand.py", line 11,…

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  3. Install Ta-lib

    I follow the knowledge base suggestion to install Ta-lib: !conda install -c quantopian ta-lib --yes

    However, I encountered the following error messages.

    Solving environment: failed

    UnsatisfiableError: The following specifications were found to be in conflict:
    - scikit-learn==0.20.1
    - ta-lib
    - tensorflow==1.8.0
    Use "conda info <package>" to see the dependencies for each package.

    Can you tell me how to solve this problem?

    Thank you

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  4. 1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  5. Downloading Python3 to JupyterLab

    My lab is using Python 2.7, how can I go about updating that to Python 3.8.2?

    Thanks!

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  6. Unable to open coursera lab notebooks

    Since this morning, I was not able to open any of the lab notebook for the Python for Data Science and AI course on Coursera.

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  7. Import Torchvision libraries cause error

    Despite Torchvision librairy is correctly installed (conda list show the package as 0.2.1 version), the import (ie "import torchvision.transforms as transforms") cause an error ("cannot import name 'PILLOW_VERSION'"). Tried to install a newer version of Torchvision (0.4.2) but cause another error.

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  8. ' HTTP Error 403: Forbidden'

    I keep on getting ' HTTP Error 403: Forbidden' every time i try to import a csv file into JupyterLab. This only occurred recently, I've had no problems before. This is true for chrome and explorer.

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  9. /bin/sh: 1: conda: not found

    I'm getting below error:
    !conda -- version

    /bin/sh: 1: conda: not found

    This used to work. What is missing?
    Please provide exact fix steps as I'm a real newbie.

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  10. Access to the Jupyter Notebook - Lab-Functions

    There is an error message:
    File Load Error for PY0101EN-3-3-Functions.ipynb
    Unreadable Notebook: /resources/labs/PY0101EN/PY0101EN-3-3-Functions.ipynb NotJSONError("Notebook does not appear to be JSON: 'Stack trace:\n#0 /var/www/polr/vendor/m...")

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  11. Discussion on Jupyter Notebook labs

    I would like to open a discussion about the working materials in the Jupyter Notebook labs. About the quality, the positive or negative remarks. Also, about some parts that are a bit unexplained or can be done differently. In other words, my idea is to post some feedbacks about the Jupyter Notebook labs.

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    3 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  12. unable to import gensim for w2v

    I think it is not installed . kindly install gensim module.

    1 vote
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google Cognitive Class Labs
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
2 Next →
  • Don't see your idea?

Jupyter Notebooks

Categories

Feedback and Knowledge Base